Bug 15373 - fast/images/animated-background-image-crash.html shows vm_allocate error in Safari
Summary: fast/images/animated-background-image-crash.html shows vm_allocate error in S...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 12095 16164
Blocks: 15483
  Show dependency treegraph
 
Reported: 2007-10-04 08:42 PDT by Eric Seidel (no email)
Modified: 2008-03-19 09:56 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2007-10-04 08:42:45 PDT
fast/images/animated-background-image-crash.html shows vm_allocate error in Safari

Safari(23270,0xa000d000) malloc: *** vm_allocate(size=1800003584) failed (error code=3)
Safari(23270,0xa000d000) malloc: *** error: can't allocate region
Safari(23270,0xa000d000) malloc: *** set a breakpoint in szone_error to debug

We should never need to allocate an ImageBuffer that large.  Likely this is due to bug 12095, and SVGImage just allocating a maximum size buffer to hold the SVG instead of allocating one at the destination size.
Comment 1 Eric Seidel (no email) 2007-11-28 12:19:13 PST
This is possibly just a dup of bug 16164.
Comment 2 Robert Blaut 2008-03-19 06:11:51 PDT
Reported test case doesn't crash in the latest Webkit.
Comment 3 Eric Seidel (no email) 2008-03-19 09:56:19 PDT
(In reply to comment #2)
> Reported test case doesn't crash in the latest Webkit.
> 

Beth fixed one of the SVGImage large allocation crashes long ago.  It looks like this test has been re-enabled since.